Loading...
Searching...
No Matches
pcl::poisson::BSplineElements< Degree > Struct Template Reference

`#include <pcl/surface/3rdparty/poisson4/bspline_data.h>`

Inheritance diagram for pcl::poisson::BSplineElements< Degree >:

## Public Types

enum | { NONE = 0 , DIRICHLET = -1 , NEUMANN = 1 }

## Public Member Functions

void | _addLeft (int offset, int boundary)
void | _addRight (int offset, int boundary)
| BSplineElements ()
| BSplineElements (int res, int offset, int boundary=NONE)
void | upSample (BSplineElements &high) const
void | differentiate (BSplineElements< Degree-1 > &d) const
void | print (FILE *) const
void PCL_EXPORTS | upSample (BSplineElements< 1 > &high) const
void PCL_EXPORTS | upSample (BSplineElements< 2 > &high) const

## Public Attributes

int | denominator

## Static Public Attributes

static const int | _off = (Degree+1)/2

## Detailed Description

template<int Degree>
struct pcl::poisson::BSplineElements< Degree >

Definition at line 111 of file bspline_data.h.

## Member Enumeration Documentation

## anonymous enum

template<int Degree>

anonymous enum

Enumerator
NONE |
DIRICHLET |
NEUMANN |

Definition at line 117 of file bspline_data.h.

## Constructor & Destructor Documentation

## BSplineElements() [1/2]

template<int Degree>

pcl::poisson::BSplineElements< Degree >::BSplineElements | ( |  | ) |

inline

Definition at line 126 of file bspline_data.h.

References denominator.

Referenced by differentiate(), upSample(), upSample(), and upSample().

## BSplineElements() [2/2]

template<int Degree>

pcl::poisson::BSplineElements< Degree >::BSplineElements | ( | int | res,
|  | int | offset,
|  | int | boundary = NONE )

Definition at line 406 of file bspline_data.hpp.

References _addLeft(), _addRight(), _off, and denominator.

## Member Function Documentation

## _addLeft()

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::_addLeft | ( | int | offset,
|  | int | boundary )

Definition at line 424 of file bspline_data.hpp.

References _addLeft(), and _off.

Referenced by _addLeft(), and BSplineElements().

## _addRight()

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::_addRight | ( | int | offset,
|  | int | boundary )

Definition at line 436 of file bspline_data.hpp.

References _addRight(), and _off.

Referenced by _addRight(), and BSplineElements().

## differentiate()

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::differentiate | ( | BSplineElements< Degree-1 > & | d | ) | const

Definition at line 459 of file bspline_data.hpp.

References BSplineElements(), and denominator.

Referenced by pcl::poisson::BSplineData< Degree, Real >::setDotTables().

## print()

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::print | ( | FILE * |  | ) | const

inline

Definition at line 132 of file bspline_data.h.

References denominator.

## upSample() [1/3]

template<int Degree>

void pcl::poisson::BSplineElements< Degree >::upSample | ( | BSplineElements< Degree > & | high | ) | const

Definition at line 448 of file bspline_data.hpp.

References BSplineElements().

Referenced by pcl::poisson::BSplineData< Degree, Real >::setDotTables().

## upSample() [2/3]

void PCL_EXPORTS pcl::poisson::BSplineElements< 1 >::upSample | ( | BSplineElements< 1 > & | high | ) | const

References BSplineElements().

## upSample() [3/3]

void PCL_EXPORTS pcl::poisson::BSplineElements< 2 >::upSample | ( | BSplineElements< 2 > & | high | ) | const

References BSplineElements().

## Member Data Documentation

## _off

template<int Degree>

const int pcl::poisson::BSplineElements< Degree >::_off = (Degree+1)/2

static

Definition at line 113 of file bspline_data.h.

Referenced by _addLeft(), _addRight(), and BSplineElements().

## denominator

template<int Degree>

int pcl::poisson::BSplineElements< Degree >::denominator

Definition at line 124 of file bspline_data.h.

Referenced by BSplineElements(), BSplineElements(), differentiate(), print(), and pcl::poisson::BSplineData< Degree, Real >::setDotTables().

The documentation for this struct was generated from the following files:

- pcl/surface/3rdparty/poisson4/bspline_data.h
- pcl/surface/3rdparty/poisson4/bspline_data.hpp